---
- name: Backup current OS configuration
  archive:
    path: /etc/config
    dest: /etc/factory-config.tgz
    owner: root
    group: root
    mode: '0600'

- include: etchosts.yml

- name: Switch to FDN DNS server
  command: uci set dhcp.@dnsmasq[0].server='80.67.169.12'

- name: Server entries in /etc/hosts
  command: uci set dhcp.@dnsmasq[0].domain='io'

- name: Set dnsmasq local
  command: uci set dhcp.@dnsmasq[0].local='/io/'

- name: Delete any previous dnsmasq configuration
  shell: uci del dhcp.@dnsmasq[0].address
  ignore_errors: true

- name: Resolv domain and sub-domaine to AP ip address
  command: uci add_list dhcp.@dnsmasq[0].address='/{{ project_domain_name }}/192.168.123.1'

- name: Delete previous dhcp option
  shell: uci del dhcp.@dhcp[0].dhcp_option
  ignore_errors: true

- name: Set dhcp option
  shell: uci add_list dhcp.@dhcp[0].dhcp_option="3,192.168.123.1" && uci add_list dhcp.@dhcp[0].dhcp_option="6,192.168.123.1"

- name: Change nodogsplash URL to redirect to
  command: uci set nodogsplash.@instance[0].redirecturl='http://{{ project_domain_name }}'

- name: Set gateway name
  command: uci set nodogsplash.@instance[0].gatewayname='{{ project_domain_name }}'

- name: Disable nodogsplash
  command: uci set nodogsplash.@instance[0].enabled='0'

- name: Network nodogsplash
  command: uci set nodogsplash.@instance[0].network='io'

- name: Set hostname
  command: uci set system.@system[0].hostname='{{ project_domain_name }}'

- name: Set system wide hostname
  shell: echo {{ device_name }} > /etc/hostname

- name: Set network interface IP address
  command: uci set network.@interface[0].ipaddr="192.168.123.1"

- name: Set timezone
  command: uci set system.@system[0].timezone='{{ timezone }}'

- name: Change SSID for 2.4Ghz
  command: uci set wireless.@wifi-iface[0].ssid='{{ hotspot_name }}'

- name: Change SSID for 5Ghz
  command: uci set wireless.@wifi-iface[1].ssid='{{ hotspot_name }}-5G'

- name: Commit changes
  command: uci commit {{ item }}
  with_items:
    - dhcp
    - nodogsplash
    - system
    - wireless
    - network

- name: Modify nodogsplash html page
  template:
    src: splash.html.j2
    dest: /etc/nodogsplash/htdocs/splash.html
    mode: '0644'

- name: Copy tweaked hotplug.d firewall service script
  copy:
    src: "20-firewall"
    dest: /etc/hotplug.d/iface/20-firewall
    mode: '0755'

- name: Copy tweaked hotplug.d dnsmasq service script
  template:
    src: "25-dnsmasq.j2"
    dest: /etc/hotplug.d/iface/25-dnsmasq
    mode: '0755'

- include: datetime.yml
